spring.jpa.properties.hibernate.temp.use_jdbc_metadata_defaults: false

server:
  port: 9095
  servlet:
    session:
      cookie:
        http-only: true

app:
  jwt:
    jwtSecret: 4B25F264F87167D7DA127A2D8D3B504DAF3A2A3BAFEF1CCB7414FCB09E6F2768
    jwtAccessExpiration: 1800000
    jwtRefreshExpiration: 604800000

# https disabled
#ssl:
#  key-store: keystore.p12
#  key-store-password: 8439210883
#  key-store-type: PKCS12
#  key-alias: tomcat
spring:
  jpa:
    database: POSTGRESQL
    show-sql: true
    hibernate:
      ddl-auto: none
  datasource:
    platform: postgres
    url: jdbc:postgresql://localhost:5432/app_users
    username: agh
    password: 41731
    driverClassName: org.postgresql.Driver
  banner:
    image:
      location: banner.txt
